using LinqToDB.Mapping;

namespace bahnplan.web.database.Tables {
	[Table(Name = "Tickets")]
	public class Ticket {
		[Column(Name = "TicketID"), PrimaryKey, Identity, NotNull]
		public int TicketId { get; set; }

		[Column(Name = "OrderID"), NotNull] public string OrderId { get; set; }

		[Column(Name = "UserID"), NotNull] public int UserId { get; set; }

		[Column(Name = "TicketInfo"), NotNull] public string TicketInfo { get; set; }

		[Column(Name = "TicketQR"), NotNull] public string TicketQr { get; set; }

		[Column(Name = "TicketSecCode"), NotNull]
		public string TicketSecCode { get; set; }

		[Column(Name = "TicketPkPass"), NotNull]
		public string TicketPkPass { get; set; }

		[Column(Name = "Traveller")] public string Traveller { get; set; }
	}
}